Subject: [bug#39721] [WIP PATCH] Parlatype (v2)

From: Marius Bakke <[email-masked]>
Date: Fri, 20 Mar 2020 17:34:17 +0100

Nicolas Goaziou <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> writes:
>
>> I've been sitting on this patch for a few months now, but I'm stuck at
>> this point. 
>>
>> So, this package is about Parlatype. It compiles fine, but doesn't
>> start, complaining about a missing Gstreamer dependency. As one can tell
>> from the FIXME, I attempted to fix it without much success. I think
>> fresh eyes are required.
>
> Gentle bump.
>
> I'm sending a rebased version of the patch.
>
> The executable complains that "parlasphinx" plugin is missing from the
> good gstreamer plugins. Yet, "libgstparlasphinx.so" is correctly
> installed in "$out/lib/gstreamer-1.0/".
>
> Any clue ?

Maybe you need to add $out/lib/gstreamer-1.0 to the wrapped
GST_PLUGIN_SYSTEM_PATH variable.  Currently it will only get wrapped
with the gstreamer plugins added as inputs, and not itself, IIUC.